@extends('layouts.app')


@section('content')
<div class="container">
    <div class="row">
        <div class="col-lg-12 mb-3">
            <div class="pull-left">
                <h2>outfits</h2>
            </div>
            <div class="pull-right">
            @can('outfit-create')
                <a class="btn btn-dark" href="{{ route('outfits.create') }}"> Create New outfit</a>
            @endcan
            </div>
        </div>
    </div>


    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <div class="row m-1">
        @foreach ($outfits as $outfit)
        <div class="col">
        <div class="card" style="width: 18rem; border-width: 3px; border-style: solid;border-color: #5C9F5F;">
            <img src="{{ asset('../img/' .$outfit['gambar']) }}" class="card-img-top" alt="...">
            <div class="card-body">
                <h5 class="card-title">{{ $outfit['nama'] }}</h5>
                <p class="card-text">{{ $outfit['detail'] }}</p>
                <!-- <p class="card-text">Harga: Rp{{ $outfit['harga'] }}</p>
                <p class="card-text">Stok: {{ $outfit['stok'] }}</p> -->

                <ul class="list-group list-group-flush">
                    <li class="list-group-item">Harga: Rp{{ $outfit['harga'] }}</li>
                    <li class="list-group-item">Stok: {{ $outfit['stok'] }}</li>              
                </ul>
            </div>

            <div class="card-body">
                <div class="row p-3 border bg-light">
                    <form action="{{ route('outfits.destroy',$outfit->id) }}" method="POST">
                        <a class="btn btn-primary" href="{{ route('outfits.show',$outfit->id) }}">Show</a>
                        @can('outfit-edit')
                        <a class="btn btn-success" href="{{ route('outfits.edit',$outfit->id) }}">Edit</a>
                        @endcan


                        @csrf
                        @method('DELETE')
                        @can('outfit-delete')
                        <button type="submit" class="btn btn-danger">Delete</button>
                        @endcan
                    </form>
                </div>
            </div>
        </div>
    </div>
	    @endforeach
    </div>

    {!! $outfits->links() !!}

@endsection