<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\OutfitController;
use App\Http\Controllers\BerandaController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

// Route::get('/home', HomeController::class, 'index'])->name('home');
// Route::get('/home', 'HomeController@index')->name('home');
// Route::get('/home', 'HomeController@index')->name('home');

Route::get('/home', [HomeController::class, 'index'])->name('home');
Route::middleware('role:admin')->get('/dashboard', [HomeController::class, 'index'])->name('dashboard');
//Route::middleware('role:admin')->get('/outfit', [App\Http\Controllers\OutfitController::class, 'index'])->name('outfit');

Route::group(['middleware' => ['auth']], function() {
    Route::resource('users', UserController::class);
    Route::resource('roles', RoleController::class);
    Route::resource('outfits', OutfitController::class);
    Route::resource('beranda', BerandaController::class);
});